Skip to main content
Kofax

Kofax TotalAgility - Transformation Designer - The class level 'Language' selected for NLP is not installed

Applies to:

Kofax TotalAgility v7.7 and above

Summary of Issue

After adding a Sentiment Locator in Transformation Designer, we get the following warning:

The class-level 'Language' selected for Natural language processing is not installed so the project cannot validate the sentiment locator.

Cause

This warning occurs when we haven't specified a language for Natural language processing at class level, or when we choose a Language that we haven't installed

Resolution

If we haven't selected a language at class level, simply click on the Document Type (Class) name
Choose a language from the dropdown:

1.png

If we have selected a language that isn't installed,
Browse to the installation media folder \\TotalAgility\TransformationServer\KofaxTransformation_Salience6.4

Install the relevant language:

  • For English, Spanish, Portuguese, French, and German support
    KofaxTransformation_SalienceV6.4.0_LanguageBundle_western-default 
  • For  Italian, Romanian, and Dutch support:
    KofaxTransformation_SalienceV6.4.0_LanguageBundle_western-extended
  • For Japanese, Chinese, and Korean support:
    KofaxTransformation_SalienceV6.4.0_LanguageBundle_extended